package com.YuyeTech.HeartRate.enums;

import lombok.Getter;

/**
 * @author:slambb
 * @date:2019/12/13
 */
@Getter
public enum WxInfoEnum implements CodeEnum {
    USER_GET_OPENID_SUCCESS(0,"数据库对比openid成功"),
    USER_GET_OPENID_ERROR(1, "数据库对比openid失败"),
    USER_WX_ENCRYPTED_DATA_ERROR(2, "解密用户数据失败"),

    ;
    private Integer code;

    private String message;

    WxInfoEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }
}
